## debian-astro 3.1

=== debian/changelog ===
debian-astro (3.1) unstable; urgency=medium

  [ Thorsten Alteholz ]
  * add libapogee3 to tasks/telescopecontrol
  * add planetary-system-stacker to datareduction
  * add astap and astap-cli to datareduction
  * add openvlbi
  * add some INDI drivers
  * add indi driver

  [ Debian Janitor ]
  * Apply multi-arch hints. + astro-all: Add Multi-Arch: foreign.
  * Trim trailing whitespace.
  * Add missing ${misc:Depends} to Depends for astro-tasks.

  [ Ole Streicher ]
  * Add lapack and freeture to ascl
  * Add ASCL id to python3-pyfftw
  * Add py3-synphot, py3-specreduce
  * Re-organize astropy affiliated packages in tasks
  * Add py3-extinction to ascl
  * Added lib sep-dev to development
  * Add jplephem to python3; cleanup python3 task
  * Add nusolve to radioastronomy
  * Push Standards-Version to 4.6.2. No changes
  * Update to latest testing

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Dec 2022 12:41:27 +0100

=== debian/control ===
# This file is autogenerated. Do not edit!
Source: debian-astro
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (=13)
Build-Depends-Indep: blends-dev,
                     inkscape
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/debian-astro
Vcs-Git: https://salsa.debian.org/debian-astro-team/debian-astro.git
Homepage: https://blends.debian.org/astro/

Package: astro-tasks
Architecture: all
Depends: tasksel, ${misc:Depends}
Description: Debian Astronomy Pure Blend (tasksel tasks)
 Debian Astro is a "Debian Pure Blend" with the aim to develop a Debian based
 operating system that fits the requirements of both professional and hobby
 astronomers. It integrates a large number of software packages covering
 telescope control, data reduction, presentation and other fields.
 .
 If this package will be installed all tasks which are provided by Debian
 Astro will be added to the tasksel menu.

Package: debian-astro-logo
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Debian Astronomy Pure Blends Logo
 Debian Astro is a "Debian Pure Blend" with the aim to develop a Debian based
 operating system that fits the requirements of both professional and hobby
 astronomers. It integrates a large number of software packages covering
 telescope control, data reduction, presentation and other fields.
 .
 This package contains the Logo of the Debian Astronomy Pure Blend in different
 formats and resolutions.

Package: astro-all
Section: metapackages
Architecture: all
Depends: ${misc:Depends}
Recommends: astro-datareduction,
            astro-development,
            astro-education,
            astro-frameworks,
            astro-gdl,
            astro-iraf,
            astro-java,
            astro-publication,
            astro-python3,
            astro-radioastronomy,
            astro-simulation,
            astro-telescopecontrol,
            astro-tools,
            astro-viewers,
            astro-virtual-observatory
Suggests: astro-catalogs,
          astro-tcltk
Description: Default selection of tasks for Debian Astro
 This package is part of the Debian Astro Pure Blend and installs all
 tasks for a default installation of this blend.

Package: astro-catalogs
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         astro-tasks (= ${source:Version})
Recommends: astrometry-data-tycho2,
            stardata-common
Suggests: astrometry-data-2mass,
          gliese,
          yale
Description: Astronomy catalogs
 This metapackage will install a selection astronomical catalogs. Please note
 that due to their size, most catalogs are not included in Debian. Check the
 CDS web service for additional catalogs if needed.

Package: astro-datareduction
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         astro-tasks (= ${source:Version})
Recommends: astap,
            astap-cli,
            astromatic,
            astrometry.net,
            eso-pipelines,
            esorex,
            fitsh,
            gnuastro,
            missfits,
            montage,
            munipack,
            planetary-system-stacker,
            psfex,
            python3-astroscrappy,
            python3-ccdproc,
            python3-cpl,
            python3-photutils,
            scamp,
            source-extractor,
            stiff,
            swarp,
            theli,
            weightwatcher
Suggests: cpl-plugin-amber,
          cpl-plugin-fors,
          cpl-plugin-giraf,
          cpl-plugin-hawki,
          cpl-plugin-kmos,
          cpl-plugin-muse,
          cpl-plugin-naco,
          cpl-plugin-sinfo,
          cpl-plugin-uves,
          cpl-plugin-vimos,
          cpl-plugin-visir,
          cpl-plugin-xshoo,
          python3-montage-wrapper,
          yorick-mira
Description: Data reduction pipelines for astronomy
 The term data reduction in astronomy means the data processing from the raw
 exposures up to scientific usable data. This includes the basic CCD
 processing, the astrometric and photometric calibrations, the reprocessing,
 error estimation and other steps.
 .
 This metapackage will install astronomy data reduction pipelines that can be
 used universally, but also those for specific telescopes.

Package: astro-development
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         astro-tasks (= ${source:Version})
Recommends: aoflagger-dev,
            casacore-dev,
            giza-dev,
            libastro-fits-cfitsio-perl,
            libastrometry-dev,
            libccfits-dev,
            libcfitsio-dev,
            libchealpix-dev,
            libcpl-dev,
            liberfa-dev,
            libfftw3-dev,
            libgnuastro-dev,
            libgsl-dev,
            libhdf5-dev,
            libhealpix-cxx-dev,
            libhealpix-dev,
            liblapack-dev,
            liblorene-dev,
            libnexstar-dev,
            libnova-dev,
            libplplot-dev,
            libpluto-jpl-eph-dev,
            libpluto-lunar-dev,
            libqfits-dev,
            libsep-dev,
            libsopt-dev,
            libstarlink-ast-dev,
            libstarlink-pal-dev,
            libwcstools-dev,
            postgresql-pgsphere,
            postgresql-q3c,
            voro++-dev,
            wcslib-dev,
            wsclean-dev
Suggests: libatlas-dev,
          libgyoto6-dev,
          libpgsbox-dev,
          libpurify-dev,
          pgplot5,
          slang-cfitsio
Description: C/C++ development packages for astronomy
 This metapackage will install Debian Astro packages which might be
 helpful for the development of (mainly C/C++) astronomical applications. Note
 that Java, Python and Tcl/Tk packages are not included here; they can be
 installed by selecting the according tasks.

Package: astro-education
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         astro-tasks (= ${source:Version})
Recommends: gpredict,
            gravit,
            kstars,
            lightspeed,
            starplot,
            stellarium,
            xplanet,
            xplanet-images
Suggests: celestia,
          celestia-gnome | celestia-glut,
          openuniverse,
          sunclock,
          xtide,
          xtide-data
Description: Educational astronomy applications
 This metapackage depends on various applications that can be used to
 teach astronomy.

Package: astro-frameworks
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         astro-tasks (= ${source:Version})
Recommends: dpuser,
            eso-midas,
            pdl,
            scilab
Suggests: yorick-full
Description: Astronomical data analysis frameworks
 This metapackage will install large astronomical data analysis
 frameworks, which usually provide their own script language. Please
 notice that the Gnu Data Language has its own metapackage astro-gdl,
 IRAF is in astro-iraf, and the Astropy framework is in the astro-python3
 metapackage.

Package: astro-gdl
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         astro-tasks (= ${source:Version})
Recommends: gdl-astrolib,
            gdl-coyote,
            gdl-mpfit,
            gnudatalanguage,
            python3-gdl
Description: IDL/GDL packages for astronomy
 GDL (GNU Data Language) is a free replacement for the commercial software IDL
 (Interactive Data Language). It has full syntax compatibility with IDL 7.1
 and is usable for astronomical data analysis. This metapackage will install
 astronomy related packages usable with GDL; especially the  IDL Astronomy
 Users Library.

Package: astro-iraf
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         astro-tasks (= ${source:Version})
Recommends: iraf,
            iraf-dev,
            iraf-fitsutil,
            iraf-mscred,
            iraf-noao,
            iraf-noao-dev,
            iraf-rvsao,
            iraf-sptable,
            iraf-wcstools,
            python3-pyraf,
            xgterm,
            ximtool
Description: IRAF packages
 IRAF (Image Reduction an Analysis Facility) is a general purpose software
 system for the reduction and analysis of astronomical data.
 This metapackage will install IRAF and its associated packages.

Package: astro-java
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         astro-tasks (= ${source:Version})
Recommends: adql-java,
            eag-healpix-java,
            jel-java,
            libcds-healpix-java,
            libcds-moc-java,
            libcds-savot-java,
            libfits-java,
            libhealpix-java,
            libjcdf-java,
            libjsamp-java,
            libjsofa-java,
            skyview-java,
            starlink-array-java,
            starlink-cdf-java,
            starlink-connect-java,
            starlink-datanode-java,
            starlink-fits-java,
            starlink-pal-java,
            starlink-registry-java,
            starlink-table-java,
            starlink-task-java,
            starlink-tjoin-java,
            starlink-util-java,
            starlink-vo-java,
            starlink-votable-java
Suggests: libcassis-java,
          libivoafits-java
Description: Java packages for astronomy
 This metapackage will install packages that are useful to develop Java
 applications for astronomy. Apart from FITS file handling, this is mainly used
 for VO applications.

Package: astro-publication
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         astro-tasks (= ${source:Version})
Recommends: debian-astro-logo,
            gdl-coyote,
            gnuplot,
            graphviz,
            montage,
            python3-aplpy,
            python3-matplotlib,
            python3-montagepy,
            stiff,
            texlive,
            texlive-bibtex-extra,
            texlive-latex-extra,
            texlive-publishers,
            texlive-science
Suggests: python3-montage-wrapper,
          xul-ext-zotero,
          zotero-standalone
Description: Packages for the publication and presentation of astronomical data
 This metapackage will install software for the preparation of astronomical
 data to publish them in journals or on the web.

Package: astro-python3
Section: metapackages
Architecture: all
Depends: ${misc:Depends},
         astro-tasks (= ${source:Version})
Recommends: ipython3,
            python3,
            python3-aplpy,
            python3-asdf,
            python3-asdf-astropy,
            python3-astlib,
            python3-astroalign,
            python3-astrodendro,
            python3-astroml,
            python3-astroplan,
            python3-astropy,
            python3-astropy-affiliated,
            python3-astropy-coordinated,
            python3-astropy-healpix,
            python3-astroquery,
            python3-astroscrappy,
            python3-casacore,
            python3-ccdproc,
            python3-cmyt,
            python3-cvxopt,
            python3-dask,
            python3-drizzle,
            python3-drms,
            python3-einsteinpy,
            python3-emcee,
            python3-ephem,
            python3-extinction,
            python3-fast-histogram,
            python3-fitsio,
            python3-galpy,
            python3-gammapy,
            python3-gdl,
            python3-ginga,
            python3-glue,
            python3-gwcs,
            python3-gyoto,
            python3-healpy,
            python3-imexam,
            python3-jplephem,
            python3-keras,
            python3-lmfit,
            python3-matplotlib,
            python3-montagepy,
            python3-mpl-scatter-density,
            python3-ndcube,
            python3-numpy,
            python3-orbit-predictor,
            python3-pandas,
            python3-photutils,
            python3-pyavm,
            python3-pydl,

## debian-astro 4.0

=== Makefile ===
#!/usr/bin/make -f


BLENDMAKEFILE=/usr/share/blends-dev/Makefile

CheckBLENDMakefile := $(shell if [ -e $(BLENDMAKEFILE) ] ; then echo 1 ; else echo 0 ; fi)
ifeq ($(CheckBLENDMakefile),1)
    include $(BLENDMAKEFILE)
else
    err := $(shell echo "$(BLENDMAKEFILE) is missing.  Please install blends-dev package!")
endif

export GENCONTROL_OPTS := --udd -m -a

dummy:
	@echo $(err)

=== debian/changelog ===
debian-astro (4.0) unstable; urgency=medium

  * Debian Astro release for Debian 12 "Bookworm"

  * Add pymeeus, libopendsp-dev, libopenvlbi-dev, pyorbital
  * Update to latest testing

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Feb 2023 17:49:22 +0100

=== debian/control ===
--- 
+++ 
@@ -153,6 +153,8 @@
             liblorene-dev,
             libnexstar-dev,
             libnova-dev,
+            libopendsp-dev,
+            libopenvlbi-dev,
             libplplot-dev,
             libpluto-jpl-eph-dev,
             libpluto-lunar-dev,
@@ -188,13 +190,13 @@
             gravit,
             kstars,
             lightspeed,
+            openuniverse,
             starplot,
             stellarium,
             xplanet,
             xplanet-images
 Suggests: celestia,
           celestia-gnome | celestia-glut,
-          openuniverse,
           sunclock,
           xtide,
           xtide-data
@@ -375,5 +377,3 @@
             python3-orbit-predictor,
             python3-pandas,
             python3-photutils,
-            python3-pyavm,
-            python3-pydl,

## debian-astro 4.1

=== debian/changelog ===
debian-astro (4.1) unstable; urgency=medium

  [ Thorsten Alteholz ]
  * add libahp-xc which is needed for indi-eqmod
  * add libahp-gt which is needed for indi-eqmod
  * add c-munipack, a successor of munipack

  [ Ole Streicher ]
  * Add libunity-java to java and vo
  * Fix format of tasks/datareduction

  [ Thorsten Alteholz ]
  * add virtualgps that could be used instead of an external GPS device
  * add blank lines between entries

  [ Ole Streicher ]
  * Update dependencies for latest d/testing

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Oct 2023 10:37:15 +0100

=== debian/control ===
--- 
+++ 
@@ -86,10 +86,10 @@
             astap-cli,
             astromatic,
             astrometry.net,
+            c-munipack,
             eso-pipelines,
             esorex,
             fitsh,
-            gnuastro,
             missfits,
             montage,
             munipack,
@@ -117,6 +117,7 @@
           cpl-plugin-vimos,
           cpl-plugin-visir,
           cpl-plugin-xshoo,
+          gnuastro,
           python3-montage-wrapper,
           yorick-mira
 Description: Data reduction pipelines for astronomy
@@ -144,7 +145,6 @@
             libcpl-dev,
             liberfa-dev,
             libfftw3-dev,
-            libgnuastro-dev,
             libgsl-dev,
             libhdf5-dev,
             libhealpix-cxx-dev,
@@ -170,6 +170,7 @@
             wcslib-dev,
             wsclean-dev
 Suggests: libatlas-dev,
+          libgnuastro-dev,
           libgyoto6-dev,
           libpgsbox-dev,
           libpurify-dev,
@@ -189,14 +190,14 @@
 Recommends: gpredict,
             gravit,
             kstars,
-            lightspeed,
             openuniverse,
-            starplot,
             stellarium,
             xplanet,
             xplanet-images
 Suggests: celestia,
           celestia-gnome | celestia-glut,
+          lightspeed,
+          starplot,
           sunclock,
           xtide,
           xtide-data
@@ -276,6 +277,7 @@
             libjcdf-java,
             libjsamp-java,
             libjsofa-java,
+            libunity-java,
             skyview-java,
             starlink-array-java,
             starlink-cdf-java,
@@ -344,6 +346,7 @@
             python3-astropy-healpix,
             python3-astroquery,
             python3-astroscrappy,
+            python3-bdsf,
             python3-casacore,
             python3-ccdproc,
             python3-cmyt,
@@ -367,7 +370,6 @@
             python3-healpy,
             python3-imexam,
             python3-jplephem,
-            python3-keras,
             python3-lmfit,
             python3-matplotlib,
             python3-montagepy,
@@ -375,5 +377,3 @@
             python3-ndcube,
             python3-numpy,
             python3-orbit-predictor,
-            python3-pandas,
-            python3-photutils,

## debian-astro 5.0

=== debian/changelog ===
debian-astro (5.0) unstable; urgency=medium

  [ Ole Streicher ]
  * Add iraf-st4gem to iraf
  * Add iraf-xdimsum to iraf task
  * Add saods9 to iraf
  * Add visit package (WNPP) to viewers
  * Added (WNPP) libastro-perl to development
  * Add libsupernovas-dev to development
  * Push Standards-Version to 4.7.2, no changes needed
  * Update d/control with actual tasks for Debian Trixie:
    - added gnuastro, yorick-mira, libgnuastro-dev, purify, libpurify-dev,
      libsupernovas-dev, iraf-st4gem, iraf-xdimsum to Recommends
    - removed eso-pipelines, scilab, gdl-coyote, python3-montage-wrapper,
      python3-einsteinpy, python3-imexam, python3-poliastro, python3-pyfftw,
      python3-pynpoint, glueviz, mayavi2, jython-stilts from Recommends

  [ Bastian Germann ]
  * Drop Recommends: jython-stilts

 -- Ole Streicher <olebole@debian.org>  Wed, 07 May 2025 14:37:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (=13)
 Build-Depends-Indep: blends-dev,
                      inkscape
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/debian-astro
 Vcs-Git: https://salsa.debian.org/debian-astro-team/debian-astro.git
 Homepage: https://blends.debian.org/astro/
@@ -87,9 +87,9 @@
             astromatic,
             astrometry.net,
             c-munipack,
-            eso-pipelines,
             esorex,
             fitsh,
+            gnuastro,
             missfits,
             montage,
             munipack,
@@ -104,7 +104,8 @@
             stiff,
             swarp,
             theli,
-            weightwatcher
+            weightwatcher,
+            yorick-mira
 Suggests: cpl-plugin-amber,
           cpl-plugin-fors,
           cpl-plugin-giraf,
@@ -117,9 +118,8 @@
           cpl-plugin-vimos,
           cpl-plugin-visir,
           cpl-plugin-xshoo,
-          gnuastro,
-          python3-montage-wrapper,
-          yorick-mira
+          eso-pipelines,
+          python3-montage-wrapper
 Description: Data reduction pipelines for astronomy
  The term data reduction in astronomy means the data processing from the raw
  exposures up to scientific usable data. This includes the basic CCD
@@ -138,6 +138,7 @@
             casacore-dev,
             giza-dev,
             libastro-fits-cfitsio-perl,
+            libastro-perl,
             libastrometry-dev,
             libccfits-dev,
             libcfitsio-dev,
@@ -145,6 +146,7 @@
             libcpl-dev,
             liberfa-dev,
             libfftw3-dev,
+            libgnuastro-dev,
             libgsl-dev,
             libhdf5-dev,
             libhealpix-cxx-dev,
@@ -158,11 +160,13 @@
             libplplot-dev,
             libpluto-jpl-eph-dev,
             libpluto-lunar-dev,
+            libpurify-dev,
             libqfits-dev,
             libsep-dev,
             libsopt-dev,
             libstarlink-ast-dev,
             libstarlink-pal-dev,
+            libsupernovas-dev,
             libwcstools-dev,
             postgresql-pgsphere,
             postgresql-q3c,
@@ -170,10 +174,8 @@
             wcslib-dev,
             wsclean-dev
 Suggests: libatlas-dev,
-          libgnuastro-dev,
           libgyoto6-dev,
           libpgsbox-dev,
-          libpurify-dev,
           pgplot5,
           slang-cfitsio
 Description: C/C++ development packages for astronomy
@@ -213,8 +215,8 @@
 Recommends: dpuser,
             eso-midas,
             pdl,
-            scilab
-Suggests: yorick-full
+            scilab,
+            yorick-full
 Description: Astronomical data analysis frameworks
  This metapackage will install large astronomical data analysis
  frameworks, which usually provide their own script language. Please
@@ -228,10 +230,10 @@
 Depends: ${misc:Depends},
          astro-tasks (= ${source:Version})
 Recommends: gdl-astrolib,
-            gdl-coyote,
             gdl-mpfit,
             gnudatalanguage,
             python3-gdl
+Suggests: gdl-coyote
 Description: IDL/GDL packages for astronomy
  GDL (GNU Data Language) is a free replacement for the commercial software IDL
  (Interactive Data Language). It has full syntax compatibility with IDL 7.1
@@ -252,8 +254,11 @@
             iraf-noao-dev,
             iraf-rvsao,
             iraf-sptable,
+            iraf-st4gem,
             iraf-wcstools,
+            iraf-xdimsum,
             python3-pyraf,
+            saods9,
             xgterm,
             ximtool
 Description: IRAF packages
@@ -305,7 +310,6 @@
 Depends: ${misc:Depends},
          astro-tasks (= ${source:Version})
 Recommends: debian-astro-logo,
-            gdl-coyote,
             gnuplot,
             graphviz,
             montage,
@@ -318,7 +322,8 @@
             texlive-latex-extra,
             texlive-publishers,
             texlive-science
-Suggests: python3-montage-wrapper,
+Suggests: gdl-coyote,
+          python3-montage-wrapper,
           xul-ext-zotero,
           zotero-standalone
 Description: Packages for the publication and presentation of astronomical data
@@ -354,7 +359,6 @@
             python3-dask,
             python3-drizzle,
             python3-drms,
-            python3-einsteinpy,
             python3-emcee,
             python3-ephem,
             python3-extinction,
@@ -368,12 +372,9 @@
             python3-gwcs,
             python3-gyoto,
             python3-healpy,
-            python3-imexam,
             python3-jplephem,
             python3-lmfit,
             python3-matplotlib,
             python3-montagepy,
             python3-mpl-scatter-density,
             python3-ndcube,
-            python3-numpy,
-            python3-orbit-predictor,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/blends-dev/rules
export HOME=$(pwd)

override_dh_auto_build: build_logos

build_logos:
	inkscape --batch-process Debian-Astro-logo.svg --export-width=25 --export-filename=Debian-Astro-logo-25x39.png
	inkscape --batch-process Debian-Astro-logo.svg --export-width=50 --export-filename=Debian-Astro-logo-50x77.png
	inkscape --batch-process Debian-Astro-logo.svg --export-width=75 --export-filename=Debian-Astro-logo-75x116.png
	inkscape --batch-process Debian-Astro-logo.svg --export-width=100 --export-filename=Debian-Astro-logo-100x155.png
	inkscape --batch-process Debian-Astro-logo.svg --export-width=250 --export-filename=Debian-Astro-logo-250x387.png
	inkscape --batch-process Debian-Astro-logo.svg --export-filename=Debian-Astro-logo.pdf
